/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Copyright (c) 2004 by 
 *     David Groep <davidg@nikhef.nl>,
 *     Oscar Koeroo <okoeroo@nikhef.nl>,
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     Gerben Venekamp <venekamp@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 *     Universiteit van Amsterdam, the Netherlands
 */

/*!
    \file   lcmaps_gss_assist_gridmap.h
    \brief  This interface is equal to the gss_assist_gridmap interface, but uses
            the LCMAPS libraries in the back.

    \author Martijn Steenbakkers for the EU DataGrid.

    This header contains the following LCMAPS library functions:
    -# globus_gss_assist_gridmap
        Legacy interface
    \ingroup LcmapsInterface
*/

#ifndef LCMAPS_GSS_ASSIST_GRIDMAP_H
#define LCMAPS_GSS_ASSIST_GRIDMAP_H

#ifndef LCMAPS_GSS_ASSIST_GRIDMAP_C
#   define LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS extern
#else
#   define LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS
#endif

/******************************************************************************
 *                 Module definition
 *****************************************************************************/

LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS int
globus_gss_assist_gridmap(
    char *   globusidp,
    char **  useridp
);

#endif /* LCMAPS_GSS_ASSIST_GRIDMAP_H */

/******************************************************************************
CVS Information:
    $Source: /cvs/glite/org.glite.security.lcmaps/interface/lcmaps_gss_assist_gridmap.h,v $
    $Date: 2007/07/09 10:10:44 $
    $Revision: 1.1 $
    $Author: okoeroo $
******************************************************************************/
